.\"	$NetBSD: eisa.4,v 1.13 2002/09/27 22:31:41 wiz Exp $
.\"
.\" Copyright (c) 1997 Jonathan Stone
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgements:
.\"      This product includes software developed by Jonathan Stone
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 27, 2002
.Dt EISA 4
.Os
.Sh NAME
.Nm eisa
.Nd Introduction to EISA bus machine-independent drivers and support
.Sh SYNOPSIS
.Cd options EISAVERBOSE
.Pp
Machine-dependent; depends on the bus topology and
.Tn EISA
bus interface of your system.  Typical
.Tn EISA
buses are either connected directly
to the main system bus, or via an
.Tn PCI
to
.Tn EISA
bridge.  See the
.Xr intro 4
documentation for your system for details.
.Sh DESCRIPTION
.Nx
includes a machine-independent
.Tn EISA
bus subsystem and several machine-independent
.Tn EISA
device drivers.
.Pp
Your system may support additional
.Tn EISA
devices.
Drivers for
.Tn EISA
devices not listed here are machine-dependent.
Consult your system's
.Xr intro 4
for additional information.
.Sh SUPPORTED DEVICES
.Nx
includes machine-independent
.Tn EISA
drivers, sorted by device type
and driver name:
.Ss Disk and tape controllers
.Bl -tag -width pcdisplay -offset indent
.It cac
Compaq array controllers.
.It mlx
Mylex DAC960 and DEC SWXCR RAID controllers.
.El
.Ss SCSI interfaces
.Bl -tag -width pcdisplay -offset indent
.It ahb
Adaptec 174x
.Tn SCSI
interfaces.
.It ahc
Adaptec AIC 7770, 274x, and 284x
.Tn SCSI
interfaces.
.It bha
BusLogic BT-74x
.Tn SCSI
interfaces.
.It dpt
DPT SmartCache/SmartRAID III and IV
.Tn SCSI
interfaces.
.It uha
Ultrastor 24f
.Tn SCSI
interfaces.
.El
.Ss Network interfaces
.Bl -tag -width pcdisplay -offset indent
.It ep
3Com 3c579 and 3c592 10Mbit
.Tn Ethernet ,
and 3c597 10/100Mbit
.Tn Ethernet
interfaces.
.It fea
Digital DEFEA FDDI interfaces.
.It le
Digital DE422
.Tn Ethernet
interfaces.
.It tlp
Digital DE425
.Tn Ethernet
interfaces.
.El
.Pp
Note that most or all
.Tn EISA
devices also have
.Tn PCI
or
.Tn ISA
equivalents.
These are listed in
.Xr pci 4 ,
.Xr isa 4 ,
or
.Xr isapnp 4 ,
respectively.  The manual pages for each individual driver also lists the
supported bus variants.
.Sh SEE ALSO
.Xr ahb 4 ,
.Xr ahc 4 ,
.Xr bha 4 ,
.Xr cac 4 ,
.Xr dpt 4 ,
.Xr ep 4 ,
.Xr fea 4 ,
.Xr intro 4 ,
.Xr le 4 ,
.Xr mlx 4 ,
.Xr tlp 4 ,
.Xr uha 4
.Sh HISTORY
The machine-independent
.Tn EISA
subsystem appeared in
.Nx 1.2 .
